This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827745 - Review Request: junicode-fonts - Unicode font for medievalists
Review Request: junicode-fonts - Unicode font for medievalists
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Stalled
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 14:43 EDT by Prathamesh Sonpatki
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 08:08:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prathamesh Sonpatki 2012-06-02 14:43:57 EDT
Spec URL: https://raw.github.com/prathamesh-sonpatki/junicode-rpm/master/junicode-fonts.spec
SRPM URL: https://github.com/prathamesh-sonpatki/junicode-rpm/blob/master/junicode-fonts-1.01-5.fc16.src.rpm

Hi, I completed GNU Hello package and after that packaged junicode. I am new at packaging. I would appreciate any help to get junicode into fedora.

Description: 
The Junicode font is designed to meet the needs of medieval scholars; however, it has a large enough character set to be useful to the general user. It comes in Regular, Italic, Bold and Bold Italic faces. The Regular face has the fullest character set, and is richest in OpenType features. 
Fedora Account System Username: cha1tanya
Comment 1 Parag AN(पराग) 2012-06-04 07:59:18 EDT
I can sponsor you provided you will review other package submission and/or will add few more package reviews. When you will do any informal package review, please add that review bug number in this bugzilla. This will let me know that you are doing some reviews.

also please read the process of getting sponsored in packager group at https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Look for new packages at http://fedoraproject.org/PackageReviewStatus/NEW.html
Comment 3 Prathamesh Sonpatki 2012-06-10 07:56:00 EDT
(In reply to comment #2)
Hi Parag
I have done one informal review here  https://bugzilla.redhat.com/show_bug.cgi?id=683780.
I will do some more in this week.

Thanks
Comment 4 Prathamesh Sonpatki 2012-06-11 00:40:54 EDT
rpmlint output 

➜  rpmbuild  rpmlint SPECS/junicode-fonts.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

➜  rpmbuild  rpmlint SRPMS/junicode-fonts-1.01-5.fc17.src.rpm
junicode-fonts.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 5 Parag AN(पराग) 2012-06-12 09:20:17 EDT
Hi Prathamesh,
   Can you do some (say 3) informal package reviews in detail that will show that you get familiar with packaging guidelines?

Some people have given package review template that you can use while reviewing packages. See http://fedoraproject.org/wiki/User:Kevin/Review_Template and http://fedoraproject.org/wiki/User:Tibbs/Review_Template
Comment 6 Parag AN(पराग) 2012-06-12 10:23:07 EDT
Review:
+ is ok
- is Need work

+ koji scratch build used -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4147740

- rpmlint output is silent for SRPM and for RPM
junicode-fonts.src: W: spelling-error %description -l en_US monospace -> mono space, mono-space, aerospace
junicode-fonts.noarch: W: spelling-error %description -l en_US monospace -> mono space, mono-space, aerospace
junicode-fonts.noarch: W: incoherent-version-in-changelog 1.009-1 ['1.01-5.fc18', '1.01-5']
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ source files are actual upstream source url
- package meets naming guidelines.
+ specfile is properly named.
+ Spec file is written in American English.
+ dist tag is present.
+ license is open source-compatible.
+ License text is NOT included in package but is present in font file itself.
+ %doc is present.
+ BuildRequires are proper.
- Buildroot is present.
- %clean is present.
+ Macro use appears rather consistent.
+ Package contains content and not code.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are not available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

suggestions:
1)If you only want to add this package in Fedora then you can remove the following from spec file
   a) remove the buildroot tag
   b) removal of buildroot in %install (i.e. rm -fr %{buildroot} )
   c) %clean section
   d) %defattr(-,root,root,-)

2) version field is wrong. It should be 0.7.6 version. check the version by opening the sfd or ttf file in fontforge application. There click on Elements-> Font Info. Check "PS Names" and to the right of that version of the font.

You included all the three variants of junicode font as a source0, source1 and source2 files but this is not correct. When upstream will update any single font then how are you going to update this package. You are using cvs version of font files. Please see https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

You need to use 20120612cvs%{?dist} as a release tag. Then you need to add comments in spec file just before Source0: that will tell how you created tarball from upstream cvs checkout. you can write following in spec

# Following tarball is created using upstream checkout as
# cvs -z3 -d:pserver:anonymous@junicode.cvs.sourceforge.net:/cvsroot/junicode co -P junicode
# cd junicode
# make dist

You need to use this created tarball as a source0 and create a new srpm. Remove all other sources. So you should be including single tarball file instead to add individual font files.

3) the comments which are irrelevant should be removed like in this package
#Obsoletes: junicode-fonts < 1.009-3

4) Use %description from upstream website as 
A font family especially for medieval scholars, but containing an extensive enough selection of Unicode characters to be widely useful.

5) Fonts packaging guidelines also suggests to add font information by creating page on wiki

See http://fedoraproject.org/wiki/Packaging:FontsPolicy
Comment 7 Parag AN(पराग) 2012-06-29 10:21:01 EDT
any update here?
Comment 8 Parag AN(पराग) 2012-12-05 01:07:00 EST
If no update will be provides in 2 weeks, I will close this ticket.
Comment 9 Parag AN(पराग) 2013-02-05 08:08:19 EST
Closing this.....

When you get time to work on this kindly reopen this review.

Note You need to log in before you can comment on or make changes to this bug.